<?php
namespace OCA\Dematpayslip\Db;

use OCP\IDbConnection;
use OCP\AppFramework\Db\QBMapper;

class DematpayslipProcessSkipMapper extends QBMapper {

    public function __construct(IDbConnection $db) {
        parent::__construct($db, 'demat_process_skip', DematpayslipProcessSkip::class);
    }

    public function find(int $id) {
        $qb = $this->db->getQueryBuilder();

        $qb->select('*')
            ->from($this->getTableName())
            ->where(
                $qb->expr()->eq('id', $qb->createNamedParameter($id))
            );

        return $this->findEntity($qb);
    }

    public function findAll() {
        $qb = $this->db->getQueryBuilder();

        $qb->select('*')
            ->from($this->getTableName());

        return $this->findEntities($qb);
    }

    public function findAllByIdProcess(int $idProcess) {
        $qb = $this->db->getQueryBuilder();

        $qb->select('*')
            ->from($this->getTableName())
            ->where(
                $qb->expr()->eq('id_process', $qb->createNamedParameter($idProcess))
            );

        return $this->findEntities($qb);
    }

    public function findAllByIdProcessAndIdLine(int $idProcess, int $idLine) {
        $qb = $this->db->getQueryBuilder();

        $qb->select('*')
            ->from($this->getTableName())
            ->where(
                $qb->expr()->eq('id_process', $qb->createNamedParameter($idProcess))
            )
            ->andWhere(
                $qb->expr()->eq('id_line', $qb->createNamedParameter($idLine))
            );

        return $this->findEntities($qb);
    }

    public function deleteAllByIdProcess(int $idProcess) {
        $qb = $this->db->getQueryBuilder();

        $qb->delete($this->getTableName())
            ->where(
                $qb->expr()->eq('id_process', $qb->createNamedParameter($idProcess))
            );
        $qb->execute();
    }
}
