<?php
    /** @var array $_ */
    /** @var \OCP\IL10N $l */
    /** @var \OCP\IURLGenerator $urlGenerator */
?>
<?php
    // assigned
    $urlGenerator            = $_['urlGenerator'];
    $dematpayslipArchiveList = (isset($_['dematpayslipArchiveList']) ? $_['dematpayslipArchiveList'] : array());
    $nbSuccess               = (isset($_['nbSuccess']) ? $_['nbSuccess'] : 0);
    $nbTotal                 = (isset($_['nbTotal']) ? $_['nbTotal'] : 0);
    $exportDirUserPath       = (isset($_['exportDirUserPath']) ? $_['exportDirUserPath'] : '');
    $msgList                 = (isset($_['msgList']) ? $_['msgList'] : array());
    $paramList               = (isset($_['paramList']) ? $_['paramList'] : array());

    // alert messages
    $htmlAlert = '';
    if (!empty($msgList)) {
        if (count($msgList['error'])>0) {
            $htmlAlert .= '<div class="alert alert-danger alert-dismissible fade show" id="dematpayslip_alert_danger" role="alert">';
            foreach ($msgList['error'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_danger_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }

        if (count($msgList['warning'])>0) {
            $htmlAlert .= '<div class="alert alert-warning alert-dismissible fade show" id="dematpayslip_alert_warning" role="alert">';
            foreach ($msgList['warning'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_warning_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }

        if (count($msgList['success'])>0) {
            $htmlAlert .= '<div class="alert alert-success alert-dismissible fade show" id="dematpayslip_alert_success" role="alert">';
            foreach ($msgList['success'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_success_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }
    }
?>
<div id="dematpayslip">
    <div class="dematpayslip_block">
        <?php if (!empty($htmlAlert)) { ?>
            <div id="dematpayslip_alert"><?php print $htmlAlert; ?></div>
        <?php } ?>
        <h2><?php p($l->t('Liste des bulletins')); ?> <?php if ($nbTotal > 0) { print ' ['; p($l->t('avancement : ' . $nbSuccess . '/' . $nbTotal)); print '] '; } ?> <a href="<?php print $urlGenerator->linkToRoute('dematpayslip.page.archive_csv', $paramList); ?>" class="button" title="<?php p($l->t('Export CSV')); ?>"><?php p($l->t('CSV')); ?></a></h2>
        <br />

        <div>
            <a href="<?php print $urlGenerator->linkToRoute('files.view.index', ['dir' => $exportDirUserPath]); ?>" class="button" target="_blank" title="<?php p($l->t('Accéder aux exports CSV')); ?>"><?php p($l->t('Accéder aux exports CSV')); ?></a>
        </div>
        <br />

        <form action="<?php print $urlGenerator->linkToRoute('dematpayslip.page.archive_action'); ?>" id="demmatpayslip_archive_action_form" name="demmatpayslip_archive_action_form" method="post">
            <input type="hidden" id="demmatpayslip_archive_action" name="action" value="" />
            <?php foreach ($paramList as $paramName => $paramValue) { ?>
                <input type="hidden" id="<?php print 'param_' . $paramName; ?>" name="<?php print $paramName; ?>" value="<?php print $paramValue; ?>" />
            <?php } ?>
            <div class="table-responsive">
                <table class="table table-bordered" id="archive_list">
                    <thead class="thead-dark">
                    <tr>
                        <th scope="col"><input type="checkbox" id="archive_select_all" name="archive_select_all" style="cursor: pointer;" /></th>
                        <th scope="col"><?php p($l->t('Chemin')); ?></th>
                        <th scope="col"><?php p($l->t('Siret')); ?></th>
                        <th scope="col"><?php p($l->t('Matricule')); ?></th>
                        <th scope="col"><?php p($l->t('Nom')); ?></th>
                        <th scope="col"><?php p($l->t('Prénom')); ?></th>
                        <th scope="col"><?php p($l->t('Début')); ?></th>
                        <th scope="col"><?php p($l->t('Fin')); ?></th>
                        <th scope="col"><?php p($l->t('Edition')); ?></th>
                        <th scope="col"><?php p($l->t('Archive')); ?></th>
                        <th scope="col"><?php p($l->t('Opérations demandées')); ?></th>
                        <th scope="col"><?php p($l->t('Opération en cours')); ?></th>
                        <th scope="col"><?php p($l->t('Etat')); ?></th>
                        <th scope="col"><?php p($l->t('Erreur')); ?></th>
                    </tr>
                    </thead>
                    <?php if (!empty($dematpayslipArchiveList)) { ?>
                    <tbody>
                        <?php foreach ($dematpayslipArchiveList as $dematpayslipArchive) { ?>
                            <tr>
                                <td><input type="checkbox" class="archive_select" id="archive_select_<?php print $dematpayslipArchive->getId(); ?>" name="archive_select[]" value="<?php print $dematpayslipArchive->getId(); ?>" style="cursor: pointer;" /></td>
                                <td><a href="<?php print $urlGenerator->linkToRoute('files.view.index', ['fileid' => $dematpayslipArchive->getIdFile()]); ?>" target="_blank" title="<?php p($l->t('Voir')); ?>"><?php print $dematpayslipArchive->getFilePath(); ?></a></td>
                                <td><?php print $dematpayslipArchive->getSiret(); ?></td>
                                <td><?php print $dematpayslipArchive->getMatricule(); ?></td>
                                <td><?php print $dematpayslipArchive->getLastname(); ?></td>
                                <td><?php print $dematpayslipArchive->getFirstname(); ?></td>
                                <td><?php print $dematpayslipArchive->getStartDate(); ?></td>
                                <td><?php print $dematpayslipArchive->getEndDate(); ?></td>
                                <td><?php print $dematpayslipArchive->getEditionDate(); ?></td>
                                <td><?php if (!empty($dematpayslipArchive->getPastellUrl())) { print $dematpayslipArchive->getPastellUrl(); } else { print $dematpayslipArchive->getPastellIdDocument(); } ?></td>
                                <td><?php print  $dematpayslipArchive->showOperationAskLabel(); ?></td>
                                <td><?php print  $dematpayslipArchive->showOperationProgressLabel(); ?></td>
                                <td><?php print  $dematpayslipArchive->showStatusLabel(true); ?></td>
                                <td><?php print  $dematpayslipArchive->getError(); ?></td>
                            </tr>
                        <?php } ?>
                    </tbody>
                    <?php } ?>
                </table>
            </div>
        </form>
    </div>
</div>
