<?php
    /** @var array $_ */
    /** @var \OCP\IL10N $l */
    /** @var \OCP\IURLGenerator $urlGenerator */
?>
<?php
    // assigned
    $urlGenerator         = $_['urlGenerator'];
    $dematpayslipUserList = (isset($_['dematpayslipUserList']) ? $_['dematpayslipUserList'] : array());
    $msgList              = (isset($_['msgList']) ? $_['msgList'] : array());

    // alert messages
    $htmlAlert = '';
    if (!empty($msgList)) {
        if (count($msgList['error'])>0) {
            $htmlAlert .= '<div class="alert alert-danger alert-dismissible fade show" id="dematpayslip_alert_danger" role="alert">';
            foreach ($msgList['error'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_danger_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }

        if (count($msgList['warning'])>0) {
            $htmlAlert .= '<div class="alert alert-warning alert-dismissible fade show" id="dematpayslip_alert_warning" role="alert">';
            foreach ($msgList['warning'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_warning_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }

        if (count($msgList['success'])>0) {
            $htmlAlert .= '<div class="alert alert-success alert-dismissible fade show" id="dematpayslip_alert_success" role="alert">';
            foreach ($msgList['success'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_success_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }
    }
?>
<div class="row" id="dematpayslip">
    <div class="col-md-12 dematpayslip_block">
        <h2><?php p($l->t('Dématérialisation des bulletins de paie')); ?></h2>
        <div id="dematpayslip_alert"><?php print $htmlAlert; ?></div>

        <?php
        $nbDematpayslipUserList = count($dematpayslipUserList);
        if ($nbDematpayslipUserList >= 1)
        {
        ?>
        <div class="list-group">
        <?php
            foreach($dematpayslipUserList as $keyDematpayslipUser => $dematpayslipUser)
            {
                //if ($dematpayslipUser->getDisabled()!=1)
                //{
                    $linkTitle = $l->t('Accéder aux bulletins de paie');
                    if ($nbDematpayslipUserList > 1) {
                        $linkTitle .= ' (SIRET : ' . $dematpayslipUser->getSiret() . ')';
                    }
                    ?>
                    <a href="<?php echo $urlGenerator->linkToRoute('files.view.index', ['dir' => '/' . $dematpayslipUser->getSiret() . '-' . $dematpayslipUser->getMatricule()]); ?>" class="button" title="<?php p($linkTitle); ?>"><?php p($linkTitle); ?></a>
                    <?php
                //}
            }
        ?>
        </div>
        <?php
        }
        ?>
    </div>
</div>
