<?php
    /** @var array $_ */
    /** @var \OCP\IL10N $l */
    /** @var \OCP\IURLGenerator $urlGenerator */
?>
<?php
    // assigned
    $urlGenerator = $_['urlGenerator'];
    $msgList      = (isset($_['msgList']) ? $_['msgList'] : array());
    $searchList   = (isset($_['searchList']) ? $_['searchList'] : array());
    $userList     = (isset($_['userList']) ? $_['userList'] : array());

    // alert messages
    $htmlAlert = '';
    if (!empty($msgList)) {
        if (count($msgList['error'])>0) {
            $htmlAlert .= '<div class="alert alert-danger alert-dismissible fade show" id="dematpayslip_alert_danger" role="alert">';
            foreach ($msgList['error'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_danger_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }

        if (count($msgList['warning'])>0) {
            $htmlAlert .= '<div class="alert alert-warning alert-dismissible fade show" id="dematpayslip_alert_warning" role="alert">';
            foreach ($msgList['warning'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_warning_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }

        if (count($msgList['success'])>0) {
            $htmlAlert .= '<div class="alert alert-success alert-dismissible fade show" id="dematpayslip_alert_success" role="alert">';
            foreach ($msgList['success'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_success_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }
    }
?>
<div class="row" id="dematpayslip">
    <div class="col-md-12 dematpayslip_block">
        <h2><?php p($l->t('Liste des utilisateurs')); ?></h2>
        <div id="dematpayslip_alert"><?php print $htmlAlert; ?></div>

        <form action="<?php echo $urlGenerator->linkToRoute('dematpayslip.page.user_list'); ?>" name="user_search_form" method="GET" role="form">
            <fieldset>
                <legend class="dematpayslip_legend"><?php p($l->t('Rechercher un utilisateur')); ?></legend>
                <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>">
                <div class="form-group row">
                    <div class="col-md-12">
                        <label for="user_search_email"><?php p($l->t('Email')); ?></label> :
                        <input type="email" name="user_search_email" value="<?php
                        if(isset($searchList['user_search_email'])) {
                            echo $searchList['user_search_email'];
                        } ?>" />
                        <button type="submit" class="btn btn-default"><?php p($l->t('Rechercher')); ?></button>
                    </div>
                </div>
            </fieldset>
        </form>
        <br />
        <br />

        <?php
        if (!empty($userList)) {
        ?>
        <div class="row">
            <div class="col-md-12">
                <div class="table-responsive">
                    <table class="table table-bordered" id="user_list">
                        <thead class="thead-dark">
                            <tr>
                                <th scope="col"><?php p($l->t('Utilisateur')); ?></th>
                                <th scope="col"><?php p($l->t('UID')); ?></th>
                                <th scope="col"><?php p($l->t('Email')); ?></th>
                                <th scope="col"><?php p($l->t('CloudID')); ?></th>
                                <th scope="col"><?php p($l->t('Activé')); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php
                            foreach ($userList as $user) {
                                ?>
                                <tr>
                                    <th scope="row"><?php print $user->getDisplayName(); ?></th>
                                    <td><?php print $user->getUID(); ?></td>
                                    <td><?php print $user->getEMailAddress(); ?></td>
                                    <td><?php print $user->getCloudId(); ?></td>
                                    <td><?php print $user->isEnabled(); ?></td>
                                </tr>
                                <?php
                            }
                        ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <?php
        }
        ?>
    </div>
</div>
