<?php
    /** @var array $_ */
    /** @var \OCP\IL10N $l */
    use \OCA\Dematpayslip\BackgroundJob\ArchiveProcess;
    use \OCA\Dematpayslip\BackgroundJob\IndexationProcess;
?>
<?php
    // assigned
    $msgList                = (isset($_['msgList']) ? $_['msgList'] : array());
    $dematpayslipConfigList = (isset($_['dematpayslipConfigList']) ? $_['dematpayslipConfigList'] : array());
    $pastellConfigFlowList  = (isset($_['pastellConfigFlowList']) ? $_['pastellConfigFlowList'] : array());
    $indexationJobArr       = (isset($_['indexationJobArr']) ? $_['indexationJobArr'] : array());
    $archiveJobArr          = (isset($_['archiveJobArr']) ? $_['archiveJobArr'] : array());
    $serverConfigList       = (isset($_['serverConfigList']) ? $_['serverConfigList'] : array());

    // alert messages
    $htmlAlert = '';
    if (!empty($msgList)) {
        if (count($msgList['error'])>0) {
            $htmlAlert .= '<div class="alert alert-danger alert-dismissible fade show" id="dematpayslip_alert_danger" role="alert">';
            foreach ($msgList['error'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_danger_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }

        if (count($msgList['warning'])>0) {
            $htmlAlert .= '<div class="alert alert-warning alert-dismissible fade show" id="dematpayslip_alert_warning" role="alert">';
            foreach ($msgList['warning'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_warning_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }

        if (count($msgList['success'])>0) {
            $htmlAlert .= '<div class="alert alert-success alert-dismissible fade show" id="dematpayslip_alert_success" role="alert">';
            foreach ($msgList['success'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_success_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }
    }

    style('dematpayslip', 'admin');
    script('dematpayslip', 'admin');
?>
<div id="dematpayslip">
    <?php if (!empty($htmlAlert)) { ?>
        <div id="dematpayslip_alert"><?php print $htmlAlert; ?></div>
    <?php } ?>
    <div class="section">
        <h2><?php p($l->t('Dématérialisation des bulletins de paie')); ?></h2>
        <form name="dematpayslip_config_admin" method="get">
            <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>" />
            <input type="hidden" name="action" value="payslips_config" />
            <div>
                <label for="dematpayslip_payslip_dir">
                    <span><?php p($l->t('Dossier des bulletins')); ?> : </span>
                    <input type="text" name="dematpayslip_payslip_dir" value="<?php print $dematpayslipConfigList['payslip_dir']; ?>" />
                </label>
            </div>
            <div>
                <label for="dematpayslip_user_user_id">
                    <span><?php p($l->t('Utilisateur')); ?> : </span>
                    <input type="text" name="dematpayslip_user_user_id" value="<?php print $dematpayslipConfigList['user_id']; ?>" />
                </label>
            </div>
            <div>
                <label for="dematpayslip_app_data_dir">
                    <span><?php p($l->t('Dossier des données de l\'application')); ?> : </span>
                    <input type="text" name="dematpayslip_app_data_dir" value="<?php print $dematpayslipConfigList['app_data_dir']; ?>" />
                </label>
            </div>
            <div>
                <button type="submit" class="btn btn-default"><?php p($l->t('Valider')); ?></button>
            </div>
        </form>
        <br />
        <br />
        <form name="dematpayslip_unshare_admin" method="get">
            <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>" />
            <input type="hidden" name="action" value="payslips_unshare" />
            <div>
                <label>
                    <span><?php p($l->t('Enlever le partage sur tous les dossiers Matricules')); ?></span>
                </label>
            </div>
            <div>
                <button type="submit" class="btn btn-default"><?php p($l->t('Valider')); ?></button>
            </div>
        </form>
        <br />
        <br />
        <form name="dematpayslip_reshare_admin" method="get">
            <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>" />
            <input type="hidden" name="action" value="payslips_reshare" />
            <div>
                <label>
                    <span><?php p($l->t('Remettre le partage sur tous les dossiers Matricules')); ?></span>
                </label>
            </div>
            <div>
                <button type="submit" class="btn btn-default"><?php p($l->t('Valider')); ?></button>
            </div>
        </form>
        <br />
        <br />
        <h3><?php p($l->t('Tâche planifiée - Indexation')); ?></h3>
        <form name="dematpayslip_indexation_config_cron" method="get">
            <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>" />
            <input type="hidden" name="action" value="indexation_config_cron" />
            <div>
                <label for="indexation_cron_time_zone">
                    <span><?php p($l->t('Fuseau horaire')); ?> : </span>
                </label>
                <input type="text" name="indexation_cron_time_zone" value="<?php if (!empty($dematpayslipConfigList['indexation_cron_time_zone'])) { print $dematpayslipConfigList['indexation_cron_time_zone']; } ?>" disabled="disabled" />
                <span>( <?php print $l->t('Serveur') . ' : ' . $serverConfigList['time_zone_name']; ?> )</span>
            </div>
            <div>
                <label for="indexation_cron_interval">
                    <span><?php p($l->t('Fréquence')); ?> : </span>
                </label>
                <input type="number" name="indexation_cron_interval" value="<?php print $dematpayslipConfigList['indexation_cron_interval']; ?>" min="30" step="1" max="86400" />
                <span><?php p($l->t('secondes')); ?></span>
            </div>
            <div>
                <label for="indexation_cron_log_level">
                    <span><?php p($l->t('Niveau')); ?> : </span>
                </label>
                <select name="indexation_cron_log_level">
                    <option value="1" <?php if ($dematpayslipConfigList['indexation_cron_log_level']==IndexationProcess::LOG_DEBUG) { print 'selected="selected"'; } ?>><?php p($l->t('Debug')); ?></option>
                    <option value="2" <?php if ($dematpayslipConfigList['indexation_cron_log_level']==IndexationProcess::LOG_WARNING) { print 'selected="selected"'; } ?>><?php p($l->t('Danger')); ?></option>
                    <option value="3" <?php if ($dematpayslipConfigList['indexation_cron_log_level']==IndexationProcess::LOG_ERROR) { print 'selected="selected"'; } ?>><?php p($l->t('Erreur')); ?></option>
                </select>
            </div>
            <div>
                <label for="indexation_cron_log_mode">
                    <span><?php p($l->t('Mode')); ?> : </span>
                </label>
                <select name="indexation_cron_log_mode">
                    <option value="-1" <?php if ($dematpayslipConfigList['indexation_cron_log_mode']==IndexationProcess::LOG_MODE_NONE) { print 'selected="selected"'; } ?>><?php p($l->t('Aucun')); ?></option>
                    <option value="0" <?php if ($dematpayslipConfigList['indexation_cron_log_mode']==IndexationProcess::LOG_MODE_FILE) { print 'selected="selected"'; } ?>><?php p($l->t('Fichier')); ?></option>
                    <option value="1" <?php if ($dematpayslipConfigList['indexation_cron_log_mode']==IndexationProcess::LOG_MODE_SCREEN) { print 'selected="selected"'; } ?>><?php p($l->t('Ecran')); ?></option>
                </select>
            </div>
            <div>
                <label for="indexation_cron_log_file_name">
                    <span><?php p($l->t('Nom du fichier')); ?> : </span>
                </label>
                <input type="text" name="indexation_cron_log_file_name" value="<?php print $dematpayslipConfigList['indexation_cron_log_file_name']; ?>" />
            </div>
            <div>
                <button type="submit" class="btn btn-default"><?php p($l->t('Valider')); ?></button>
            </div>
        </form>
        <br />
        <?php
        if (!empty($indexationJobArr)) {
            if ($indexationJobArr['last_run'] > 0) {
                ?>
                <form id="indexation_form_cron_update" name="dematpayslip_indexation_cron_update" method="get">
                    <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>" />
                    <input type="hidden" name="action" value="indexation_cron_update" />
                    <input type="hidden" name="indexation_cron_id" value="<?php print $indexationJobArr['id']; ?>" />
                    <div>
                        <label>
                            <span><?php p($l->t('Dernière exécution')); ?> : <?php print $indexationJobArr['last_run_format']; ?></span>
                        </label>
                        <label>
                            <span> | <?php p($l->t('Dernière vérification')); ?> : <?php print $indexationJobArr['last_checked_format']; ?></span>
                        </label>
                        <label>
                            <?php
                            if ($indexationJobArr['reserved_at'] > $indexationJobArr['last_run']) {
                                ?>
                                <span class="text-danger"> | <?php p($l->t('Lancé')); ?> : <?php print $indexationJobArr['reserved_at_format']; ?></span>
                                <?php
                            } elseif ($indexationJobArr['reserved_at'] == 0) {
                                ?>
                                <span> | <?php p($l->t('Prêt')); ?></span>
                                <?php
                            } else {
                                ?>
                                <span class="text-danger"> | <?php p($l->t('Stoppé')); ?></span>
                                <?php
                            }
                            ?>
                        </label>
                        <?php
                        if ($indexationJobArr['reserved_at'] > $indexationJobArr['last_run']) {
                            ?>
<!--                            <input type="hidden" name="indexation_cron_run" value="1" />-->
<!--                            <button type="submit" class="btn btn-default">--><?php //p($l->t('Réinitialiser')); ?><!--</button>-->
                            <?php
                        } elseif ($indexationJobArr['reserved_at'] == 0) {
                            ?>
                            <input type="hidden" name="indexation_cron_run" value="0" />
                            <input type="hidden" name="indexation_cron_last_run" value="<?php print $indexationJobArr['last_run']; ?>" />
                            <button type="submit" class="btn btn-default"><?php p($l->t('Arrêter')); ?></button>
                            <?php
                        } else {
                            ?>
                            <input type="hidden" name="indexation_cron_run" value="1" />
                            <button type="submit" class="btn btn-default"><?php p($l->t('Démarrer')); ?></button>
                            <?php
                        }
                        ?>
                    </div>
                </form>
                <?php
            }
        }
        ?>
        <br />
        <br />
        <h3><?php p($l->t('Tâche planifiée - Archivage')); ?></h3>
        <form name="dematpayslip_archive_config_cron" method="get">
            <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>" />
            <input type="hidden" name="action" value="archive_config_cron" />
            <div>
                <label for="archive_cron_time_zone">
                    <span><?php p($l->t('Fuseau horaire')); ?> : </span>
                </label>
                <input type="text" name="archive_cron_time_zone" value="<?php if (!empty($dematpayslipConfigList['archive_cron_time_zone'])) { print $dematpayslipConfigList['archive_cron_time_zone']; } ?>" disabled="disabled" />
                <span>( <?php print $l->t('Serveur') . ' : ' . $serverConfigList['time_zone_name']; ?> )</span>
            </div>
            <div>
                <label for="archive_cron_interval">
                    <span><?php p($l->t('Fréquence')); ?> : </span>
                </label>
                <input type="number" name="archive_cron_interval" value="<?php print $dematpayslipConfigList['archive_cron_interval']; ?>" min="30" step="1" max="86400" />
                <span><?php p($l->t('secondes')); ?></span>
            </div>
            <div>
                <label for="archive_cron_log_level">
                    <span><?php p($l->t('Niveau')); ?> : </span>
                </label>
                <select name="archive_cron_log_level">
                    <option value="1" <?php if ($dematpayslipConfigList['archive_cron_log_level']==ArchiveProcess::LOG_DEBUG) { print 'selected="selected"'; } ?>><?php p($l->t('Debug')); ?></option>
                    <option value="2" <?php if ($dematpayslipConfigList['archive_cron_log_level']==ArchiveProcess::LOG_WARNING) { print 'selected="selected"'; } ?>><?php p($l->t('Danger')); ?></option>
                    <option value="3" <?php if ($dematpayslipConfigList['archive_cron_log_level']==ArchiveProcess::LOG_ERROR) { print 'selected="selected"'; } ?>><?php p($l->t('Erreur')); ?></option>
                </select>
            </div>
            <div>
                <label for="archive_cron_log_mode">
                    <span><?php p($l->t('Mode')); ?> : </span>
                </label>
                <select name="archive_cron_log_mode">
                    <option value="-1" <?php if ($dematpayslipConfigList['archive_cron_log_mode']==ArchiveProcess::LOG_MODE_NONE) { print 'selected="selected"'; } ?>><?php p($l->t('Aucun')); ?></option>
                    <option value="0" <?php if ($dematpayslipConfigList['archive_cron_log_mode']==ArchiveProcess::LOG_MODE_FILE) { print 'selected="selected"'; } ?>><?php p($l->t('Fichier')); ?></option>
                    <option value="1" <?php if ($dematpayslipConfigList['archive_cron_log_mode']==ArchiveProcess::LOG_MODE_SCREEN) { print 'selected="selected"'; } ?>><?php p($l->t('Ecran')); ?></option>
                </select>
            </div>
            <div>
                <label for="archive_cron_log_file_name">
                    <span><?php p($l->t('Nom du fichier')); ?> : </span>
                </label>
                <input type="text" name="archive_cron_log_file_name" value="<?php print $dematpayslipConfigList['archive_cron_log_file_name']; ?>" />
            </div>
            <div>
                <button type="submit" class="btn btn-default"><?php p($l->t('Valider')); ?></button>
            </div>
        </form>
        <br />
        <?php
        if (!empty($archiveJobArr)) {
            if ($archiveJobArr['last_run'] > 0) {
                ?>
                <form id="archive_form_cron_update" name="dematpayslip_archive_cron_update" method="get">
                    <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>" />
                    <input type="hidden" name="action" value="archive_cron_update" />
                    <input type="hidden" name="archive_cron_id" value="<?php print $archiveJobArr['id']; ?>" />
                    <div>
                        <label>
                            <span><?php p($l->t('Dernière exécution')); ?> : <?php print $archiveJobArr['last_run_format']; ?></span>
                        </label>
                        <label>
                            <span> | <?php p($l->t('Dernière vérification')); ?> : <?php print $archiveJobArr['last_checked_format']; ?></span>
                        </label>
                        <label>
                            <?php
                            if ($archiveJobArr['reserved_at'] > $archiveJobArr['last_run']) {
                                ?>
                                <span class="text-danger"> | <?php p($l->t('Lancé')); ?> : <?php print $archiveJobArr['reserved_at_format']; ?></span>
                                <?php
                            } elseif ($archiveJobArr['reserved_at'] == 0) {
                                ?>
                                <span> | <?php p($l->t('Prêt')); ?></span>
                                <?php
                            } else {
                                ?>
                                <span class="text-danger"> | <?php p($l->t('Stoppé')); ?></span>
                                <?php
                            }
                            ?>
                        </label>
                        <?php
                        if ($archiveJobArr['reserved_at'] > $archiveJobArr['last_run']) {
                            ?>
<!--                            <input type="hidden" name="archive_cron_run" value="1" />-->
<!--                            <button type="submit" class="btn btn-default">--><?php //p($l->t('Réinitialiser')); ?><!--</button>-->
                            <?php
                        } elseif ($archiveJobArr['reserved_at'] == 0) {
                            ?>
                            <input type="hidden" name="archive_cron_run" value="0" />
                            <input type="hidden" name="archive_cron_last_run" value="<?php print $archiveJobArr['last_run']; ?>" />
                            <button type="submit" class="btn btn-default"><?php p($l->t('Arrêter')); ?></button>
                            <?php
                        } else {
                            ?>
                            <input type="hidden" name="archive_cron_run" value="1" />
                            <button type="submit" class="btn btn-default"><?php p($l->t('Démarrer')); ?></button>
                            <?php
                        }
                        ?>
                    </div>
                </form>
                <?php
            }
        }
        ?>
    </div>

    <?php if (count($pastellConfigFlowList) > 0) { ?>
    <div class="section">
        <h2><?php p($l->t('Archivage (Pastell)')); ?></h2>
        <form name="pastell_config_admin" method="get">
            <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>" />
            <input type="hidden" name="action" value="pastell_config" />
            <div>
                <label for="pastell_use">
                    <input type="checkbox" name="pastell_use" value="1" <?php print ($dematpayslipConfigList['pastell_use'] == 1 ? 'checked="checked"' : ''); ?>/>
                    <span><?php p($l->t('Utiliser Pastell pour archiver les bulletins de paie')); ?></span>
                </label>
            </div>
            <?php if ($dematpayslipConfigList['pastell_use'] == 1) { ?>
            <div>
                <label for="pastell_config_f1_id">
                    <span><?php p($l->t('Flux pour archivage sur 5 ans')); ?> : </span>
                    <select name="pastell_config_f1_id">
                        <option value=""></option>
                        <?php foreach ($pastellConfigFlowList as $pastellConfigFlow) { ?>
                            <option value="<?php print $pastellConfigFlow->getId(); ?>" <?php print ($pastellConfigFlow->getId() == $dematpayslipConfigList['pastell_config_f1_id'] ? 'selected="selected"' : ''); ?>><?php print $pastellConfigFlow->getLabel(); ?></option>
                        <?php } ?>
                    </select>
                </label>
            </div>
            <div>
                <label for="pastell_config_f2_id">
                    <span><?php p($l->t('Flux pour archivage sur 50 ans')); ?> : </span>
                    <select name="pastell_config_f2_id">
                        <option value=""></option>
                        <?php foreach ($pastellConfigFlowList as $pastellConfigFlow) { ?>
                            <option value="<?php print $pastellConfigFlow->getId(); ?>" <?php print ($pastellConfigFlow->getId() == $dematpayslipConfigList['pastell_config_f2_id'] ? 'selected="selected"' : ''); ?>><?php print $pastellConfigFlow->getLabel(); ?></option>
                        <?php } ?>
                    </select>
                </label>
            </div>
            <?php } ?>
            <div>
                <button type="submit" class="btn btn-default"><?php p($l->t('Valider')); ?></button>
            </div>
        </form>
    </div>
    <?php } ?>
</div>