<?php
    /** @var array $_ */
    /** @var \OCP\IL10N $l */
?>
<?php
    // assigned
    $dematpayslipUserList = (isset($_['dematpayslipUserList']) ? $_['dematpayslipUserList'] : array());
    $msgList              = (isset($_['msgList']) ? $_['msgList'] : array());

    // alert messages
    $htmlAlert = '';
    if (!empty($msgList)) {
        if (count($msgList['error'])>0) {
            $htmlAlert .= '<div class="alert alert-danger alert-dismissible fade show" id="dematpayslip_alert_danger" role="alert">';
            foreach ($msgList['error'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_danger_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }

        if (count($msgList['warning'])>0) {
            $htmlAlert .= '<div class="alert alert-warning alert-dismissible fade show" id="dematpayslip_alert_warning" role="alert">';
            foreach ($msgList['warning'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_warning_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }

        if (count($msgList['success'])>0) {
            $htmlAlert .= '<div class="alert alert-success alert-dismissible fade show" id="dematpayslip_alert_success" role="alert">';
            foreach ($msgList['success'] as $msg) {
                $htmlAlert .= '<div class="text-center">' .  $msg . '</div>';
            }
            $htmlAlert .= '<a class="close" id="dematpayslip_alert_success_btn">';
            $htmlAlert .= '<span aria-hidden="true">&times;</span>';
            $htmlAlert .= '</a>';
            $htmlAlert .= '</div>';
        }
    }

    style('dematpayslip', 'personal');
    script('dematpayslip', 'personal');
?>
<div id="dematpayslip" class="section">
    <h2><?php p($l->t('Dématérialisation des bulletins de paie')); ?></h2>
    <div id="dematpayslip_alert"><?php print $htmlAlert; ?></div>

    <?php
    $nbDematpayslipUserList = count($dematpayslipUserList);
    if ($nbDematpayslipUserList >= 1)
    {
    ?>
    <form name=dematpayslip_personal" method="get">
        <input type="hidden" name="requesttoken" value="<?php p($_['requesttoken']); ?>">
        <input type="hidden" name="action" value="dematpayslip_user">
        <?php
        foreach ($dematpayslipUserList as $dematpayslipUser)
        {
            if ($nbDematpayslipUserList > 1)
            {
            ?>
                <div class="form-group row">
                    <div class="col-md-6">
                        <label for="dematpayslip_user_disabled"><?php p($l->t('SIRET : ')); ?></label>
                        <?php print $dematpayslipUser->getSiret(); ?>
                    </div>
                </div>
            <?php
            }
            ?>
            <div class="form-group row">
                <div class="col-md-6">
                    <label for="dematpayslip_user_disabled"><?php p($l->t('Votre numéro de matricule est le : ')); ?></label>
                    <?php print $dematpayslipUser->getMatricule(); ?>
                </div>
            </div>
            <div class="form-group row">
                <div class="col-md-6">
                    <input type="checkbox" name="dematpayslip_user_disabled[<?php print $dematpayslipUser->getSiret(); ?>]" value="1" <?php if ($dematpayslipUser->getDisabled() == 1) {print 'checked="checked"';} ?> />
                    <label for="dematpayslip_user_disabled"><?php p($l->t('Désactiver la dématérialisation')); ?></label>
                </div>
            </div>
            <div class="form-group row">
                <div class="col-md-6">
                    &nbsp;
                </div>
            </div>
        <?php
        }
        ?>
        <div class="form-group row">
            <div class="col-md-12">
                <button type="submit" class="btn btn-default"><?php p($l->t('Modifier')); ?></button>
            </div>
        </div>
    </form>
    <br />
    <?php
    }
    ?>
</div>